## Supplemental_Code.zip

=== groupingprotein-0.3.2/CMakeLists.txt ===

# cmake helps to compile "groupingprotein"
# please install the cmake package depending on your linux distribution
# and type in the beads root directory :
# cmake .
# make
# make install
cmake_minimum_required(VERSION 2.6)

# The name of this project is "gpf". CMakeLists files in this project can
# refer to the root source directory of the project as ${gpf_SOURCE_DIR}
# and to the root binary directory of the project as ${gpf_BINARY_DIR}.

PROJECT(groupingprotein CXX C)

# Project version

SET (GP_MAJOR_VERSION 0)
SET (GP_MINOR_VERSION 3)
SET (GP_PATCH_LEVEL   2)
SET (GP_VERSION  "${GP_MAJOR_VERSION}.${GP_MINOR_VERSION}.${GP_PATCH_LEVEL}")
#SET (GPF_SCHEMA_VERSION "${GPF_MAJOR_VERSION}.${GPF_MINOR_VERSION}")
#SET (GPF_SCHEMA_FILE "gpf-1.0.xsd")
#SET (GPF_XSD_LOCATION_DIR "${gpf_SOURCE_DIR}/doc/schema")

SET (GP_BINARY_DIR "bin")

IF (CMAKE_BASE_NAME MATCHES "cl")
  SET( WIN32 "true")
ELSE (CMAKE_BASE_NAME MATCHES "cl")
  SET( WIN32 "false")
ENDIF(CMAKE_BASE_NAME MATCHES "cl")


if (NOT CMAKE_INSTALL_PREFIX)
  SET (CMAKE_INSTALL_PREFIX /usr/local)
endif (NOT CMAKE_INSTALL_PREFIX)

#SET(CMAKE_BUILD_TYPE "Release")
#SET(CMAKE_BUILD_TYPE "RelWithDebInfo")
if (NOT CMAKE_BUILD_TYPE)
  SET( CMAKE_BUILD_TYPE "Debug")
endif (NOT CMAKE_BUILD_TYPE)

IF(CMAKE_BUILD_TYPE MATCHES "Release")
  MESSAGE("compiling as release version")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Release" )

IF(CMAKE_BUILD_TYPE MATCHES "Debug")
  MESSAGE("compiling as debug version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "Debug" )

IF(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
  MESSAGE("compiling as release with debug info version")
ENDIF( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )


SET(CMAKE_CXX_FLAGS_DEBUG "-O3 -g -Wall")
SET(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O3 -g -Wall")
SET(CMAKE_CXX_FLAGS_RELEASE  "-s ${CMAKE_CXX_FLAGS_RELEASE}")
#SET(GPF_XSD_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/xml/schema")
#SET(GPF_XSD "${GPF_XSD_INSTALL_DIR}/${GPF_SCHEMA_FILE}")


SET(CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET(CPACK_GENERATOR "STGZ;TGZ;TZ")
SET(CPACK_OUTPUT_CONFIG_FILE "./CPackConfig.cmake")
#SET(CPACK_PACKAGE_DESCRIPTION_FILE ${GPF_SOURCE_DIR}/COPYING)
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Grouping Protein algorithm")
SET(CPACK_PACKAGE_EXECUTABLES "groupingprotein")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "groupingprotein-${GP_VERSION}")
SET(CPACK_SYSTEM_NAME "Linux-i686")
SET(CPACK_PACKAGE_FILE_NAME "groupingprotein-${GP_VERSION}-${CPACK_SYSTEM_NAME}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "groupingprotein ${GP_VERSION}")
SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "groupingprotein ${GP_VERSION}")
SET(CPACK_PACKAGE_NAME "groupingprotein")
SET(CPACK_PACKAGE_VENDOR "PAPPSO")
SET(CPACK_PACKAGE_VERSION ${GP_VERSION})
#SET(CPACK_RESOURCE_FILE_LICENSE ${GPF_SOURCE_DIR}/debian/copyright)
#SET(CPACK_RESOURCE_FILE_README ${GPF_SOURCE_DIR}/README)
#SET(CPACK_RESOURCE_FILE_WELCOME ${GPF_SOURCE_DIR}/README)
SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
SET(CPACK_SOURCE_OUTPUT_CONFIG_FILE "./CPackSourceConfig.cmake")
SET(CPACK_SOURCE_STRIP_FILES "")
SET(CPACK_SYSTEM_NAME "Linux-i686")
SET(CPACK_TOPLEVEL_TAG "Linux-i686")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "groupingprotein-${GP_VERSION}")


SET(CPACK_SOURCE_IGNORE_FILES
  ".*\\\\.tar\\\\.gz"
  "moc_.*cxx"
  ".*\\\\.pyc"
  "\\\\.#.*"
  ".*\\\\.*~"
  ".*\\\\.aux"
  ".*\\\\.bbl"
  ".*\\\\.blg"
  ".*\\\\.log"
  ".*\\\\.out"
  ".*\\\\.toc"
  "/devel_archives/"
  "/doc\\\\/misc/"
  "/doc\\\\/scripts/"
  "/doc\\\\/slides/"
   "/figures/"
  "/Soumis/"
  "Makefile"
  "install_manifest.txt"
  "CMakeCache.txt"
  "CPackConfig.cmake"
  "CPackSourceConfig.cmake"
  "/CMakeFiles/"
  "/_CPack_Packages/"
  "/Debug/"
  "/Release/"
  "/tests/"
  "/\\\\.externalToolBuilders/"
  "/\\\\.git/"
  "/\\\\.settings/"
  "Makefile"
  "\\\\.cdtbuild"
  "\\\\.cdtproject"
  "\\\\.project"
  "\\\\.cproject"
  "/win32/"
  "svnignores.txt"
  "\\\\.gitignore"
  "/build/"
  )
# to create a TGZ archive of the  source code type shell command
#

#dch -Dwheezy "message"
#cmake ..
#make deb
# scp grouping-protein* proteus.moulon.inra.fr:/var/www/apt/incoming
# reprepro -Vb /var/www/apt processincoming default
#
#  debuild -S -sa
# dput -f olivier-langella *changes


SET(CPACK_PACKAGE_EXECUTABLES "groupingprotein" "groupingprotein")



INCLUDE(CPack)

# Recurse into the "src" subdirectories.  This does not actually
# cause another cmake executable to run.  The same process will walk through
# the project's entire directory structure.
add_subdirectory (src)



add_custom_target(targz
	cpack -G TGZ --config CPackSourceConfig.cmake && tar xvfz groupingprotein-${GP_VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating .tar.gz" VERBATIM
)


add_custom_target(deb
	cd groupingprotein-${GP_VERSION} && dpkg-buildpackage -b
	DEPENDS targz
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "Creating Debian package" VERBATIM
)

file(GLOB changesdebs "${CMAKE_BINARY_DIR}/grouping-protein_*.dsc")

foreach(libfile ${changesdebs})
    SET(changesdeb "${libfile}")
endforeach(libfile)

message ("changes debian file : ${changesdeb}")
#lintian -IEi --pedantic tandem-mass_2013.06.15-1_amd64.changes
add_custom_target(lintian
	lintian -IEi --pedantic ${changesdeb}
	DEPENDS deb
	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
	COMMENT "lintian check" VERBATIM
)

=== groupingprotein-0.3.2/src/CMakeLists.txt ===
# cpp module src
#compile gp_grouping program
add_subdirectory (cpp)

# python module src
#configure and copie python file
add_subdirectory (python)

#INSTALL python private library xmlstreamwriter
FILE(GLOB pythonlib  "${CMAKE_CURRENT_SOURCE_DIR}/python/xmlstreamwriter/*.py")
INSTALL(FILES ${pythonlib} DESTINATION lib/groupingprotein/xmlstreamwriter)

#INSTALL python script
FILE(GLOB pythonbin  "${CMAKE_CURRENT_BINARY_DIR}/python/*.py")
INSTALL(PROGRAMS ${pythonbin} DESTINATION bin)

=== groupingprotein-0.3.2/src/cpp/CMakeLists.txt ===


# this command finds Qt4 libraries and sets all required variables
# note that it's Qt4, not QT4 or qt4

SET (QT_USE_QTXML true)
SET (QT_USE_QTXMLPATTERNS true)
FIND_PACKAGE( Qt4 REQUIRED )

SET(GP_LIB_NAME "groupingprotein")
SET(GP_LIB_VERSION ${GP_VERSION})
SET(GP_LIB_SOVERSION ${GP_VERSION})

#-std=c++11
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Winline")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_subdirectory(libgroupingprotein)
add_subdirectory(bin)

=== groupingprotein-0.3.2/src/python/CMakeLists.txt ===
#configuring python path on script using xmlstreamwriter library
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-read-xtandem.py ${CMAKE_CURRENT_BINARY_DIR}/gp-read-xtandem.py @ONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-masschroqml.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-masschroqml.py @ONLY)

#copie script without xmlstreamwriter library
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-fdr-peptide.py ${CMAKE_CURRENT_BINARY_DIR}/gp-fdr-peptide.py @COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-peptide-counting.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-peptide-counting.py @COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-peptide-list.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-peptide-list.py @COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-protein-counting.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-protein-counting.py @COPYONLY)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gp-output-protein-list.py ${CMAKE_CURRENT_BINARY_DIR}/gp-output-protein-list.py @COPYONLY)

=== groupingprotein-0.3.2/src/cpp/bin/CMakeLists.txt ===

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/src/cpp/libgroupingprotein )


# (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
INCLUDE( ${QT_USE_FILE})

  
SET(GP_GROUPING
  gp_grouping.cpp
)
SET(GP_FASTAGROUPER
  pg_fastagrouper.cpp
)
SET(PG_FILTERPROTEINPEPTIDEORPHANS
  pg_filterproteinpeptideorphans.cpp
)

ADD_EXECUTABLE(gp-grouping ${GP_GROUPING})
TARGET_LINK_LIBRARIES(gp-grouping ${GP_LIB_NAME} ${QT_LIBRARIES} )
SET_TARGET_PROPERTIES(gp-grouping PROPERTIES OUTPUT_NAME gp-grouping)

ADD_EXECUTABLE(pg-fastagrouper ${GP_FASTAGROUPER})
TARGET_LINK_LIBRARIES(pg-fastagrouper ${GP_LIB_NAME} ${QT_LIBRARIES} )
SET_TARGET_PROPERTIES(pg-fastagrouper PROPERTIES OUTPUT_NAME pg-fastagrouper)

ADD_EXECUTABLE(pg-filterproteinpeptideorphans ${PG_FILTERPROTEINPEPTIDEORPHANS})
TARGET_LINK_LIBRARIES(pg-filterproteinpeptideorphans ${GP_LIB_NAME} ${QT_LIBRARIES} )
SET_TARGET_PROPERTIES(pg-filterproteinpeptideorphans PROPERTIES OUTPUT_NAME pg-filterproteinpeptideorphans)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/gp-grouping DESTINATION bin)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/pg-fastagrouper DESTINATION bin)

INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/cpp/bin/pg-filterproteinpeptideorphans DESTINATION bin)

=== groupingprotein-0.3.2/src/cpp/libgroupingprotein/CMakeLists.txt ===
# Configure the variable
MESSAGE("gp_lib_config.h.cmake gp_lib_config.h")
configure_file (gp_lib_config.h.cmake ${CMAKE_SOURCE_DIR}/src/cpp/libgroupingprotein/gp_lib_config.h)

# (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
INCLUDE( ${QT_USE_FILE} )

#SET(PG_LIB_MOC_HDRS
#  pg_protseqengine.h
#)

SET(GP_SRC_LIB grouping/groupng.cpp
  pg_utils.cpp
  gp_lib_config.h
  gp_engine.cpp
  pg_protseqengine.cpp
  pg_protseqfilterpeptideorphans.cpp
  gp_params.cpp
  identification/peptide.cpp 
  identification/protein_match.cpp
  identification/peptide_set.cpp
  identification/sample.cpp
  sax/peptide_result_parser.cpp
  sax/protein_grouping_result.cpp
  filter/data_filter.cpp
  filter/fasta_filter.cpp
  filter/peptide_repro_filter.cpp
  filter/peptide_by_prot_filter.cpp
  grouping/group.cpp
  grouping/group_set.cpp
  grouping/threadsafe_group_set.cpp
  grouping/sub_group.cpp
  grouping/sub_group_set.cpp
)

set(CMAKE_MODULE_PATH ${gpf_SOURCE_DIR}/modules)

#set(Qwt5_DIR ${gpf_SOURCE_DIR}/Modules)
#FIND_PACKAGE(Qwt5 REQUIRED)

# this command will generate rules that will run rcc on all files from SAMPLE_RCS
# in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
#QT4_ADD_RESOURCES( SAMPLE_RC_SRCS ${SAMPLE_RCS} )
  
# this will run uic on .ui files:
#QT4_WRAP_UI( SAMPLE_UI_HDRS ${SAMPLE_UIS} )
  
#QT4_WRAP_CPP( PG_LIB_MOC_SRCS ${PG_LIB_MOC_HDRS} )
  
# we need this to be able to include headers produced by uic in our code
# (CMAKE_BINARY_DIR holds a path to the build directory, while INCLUDE_DIRECTORIES() works just like INCLUDEPATH from qmake)

INCLUDE_DIRECTORIES( ${CMAKE_BINARY_DIR})  



  ADD_LIBRARY(${GP_LIB_NAME} SHARED ${GP_SRC_LIB} )
  
  SET_TARGET_PROPERTIES(${GP_LIB_NAME} PROPERTIES 
    VERSION ${GP_LIB_VERSION}
    SOVERSION ${GP_LIB_SOVERSION}
    )

INSTALL(TARGETS ${GP_LIB_NAME} LIBRARY DESTINATION lib)

=== groupingprotein-0.3.2/debian/changelog ===
grouping-protein (0.3.2-1) jessie; urgency=medium

  * circumvent X\!Tandem bug
  * recognizes peptide/mh with 2 digits

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 12 Apr 2016 15:22:04 +0200

grouping-protein (0.3.1-1) jessie; urgency=medium

  * handler for X\!Tandem point mutations

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Dec 2015 09:58:14 +0100

grouping-protein (0.2.2-1) jessie; urgency=medium

  * write new XML element psimod in the masschroqml files

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 27 Nov 2015 09:48:58 +0100

grouping-protein (0.2.1-11) jessie; urgency=medium

  * package for Jessie

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 28 Aug 2015 15:41:52 +0200

grouping-protein (0.2.1-10) wheezy; urgency=low

  * sg removal now choses the largest peptide first 

 -- langella <Olivier.Langella@moulon.inra.fr>  Tue, 26 Aug 2014 10:08:23 +0200

grouping-protein (0.2.1-9) wheezy; urgency=low

  * better sg removal algo

 -- langella <Olivier.Langella@moulon.inra.fr>  Fri, 18 Jul 2014 09:13:55 +0200

grouping-protein (0.2.1-8) wheezy; urgency=low

  * better output results writing

 -- langella <Olivier.Langella@moulon.inra.fr>  Wed, 16 Jul 2014 12:17:41 +0200

grouping-protein (0.2.1-7) wheezy; urgency=low

  * no non informative subgroup removal option added

 -- langella <Olivier.Langella@moulon.inra.fr>  Wed, 11 Jun 2014 10:14:39 +0200

grouping-protein (0.2.1-6) wheezy; urgency=low

  * it seems to work at last

 -- langella <Olivier.Langella@moulon.inra.fr>  Mon, 09 Jun 2014 13:51:09 +0200

grouping-protein (0.2.1-5) wheezy; urgency=low

  * better perf on subgroupset

 -- langella <Olivier.Langella@moulon.inra.fr>  Sat, 07 Jun 2014 18:01:17 +0200

grouping-protein (0.2.1-4) wheezy; urgency=low

  * performance issue fixed

 -- langella <Olivier.Langella@moulon.inra.fr>  Sat, 07 Jun 2014 10:56:06 +0200

grouping-protein (0.2.1-3) wheezy; urgency=low

  * testing release : new bug fix

 -- langella <Olivier.Langella@moulon.inra.fr>  Fri, 06 Jun 2014 17:28:54 +0200

grouping-protein (0.2.1-2) wheezy; urgency=low

  * new fasta grouping algorithm, many bug fix

 -- langella <Olivier.Langella@moulon.inra.fr>  Thu, 05 Jun 2014 09:43:47 +0200

grouping-protein (0.2.1-1) wheezy; urgency=low

  * new package for version 0.2.1

 -- langella <Olivier.Langella@moulon.inra.fr>  Fri, 16 May 2014 16:35:11 +0200

grouping-protein (0.1.1-8) wheezy; urgency=low

  * grouping and subgrouping mixed

 -- langella <Olivier.Langella@moulon.inra.fr>  Sat, 26 Apr 2014 16:13:14 +0200

grouping-protein (0.1.1-7) wheezy; urgency=low

  * subgroup size limit changed

 -- langella <Olivier.Langella@moulon.inra.fr>  Sat, 26 Apr 2014 13:29:21 +0200

grouping-protein (0.1.1-6) wheezy; urgency=low

  * new subgrouping algo in fasta grouper

 -- langella <Olivier.Langella@moulon.inra.fr>  Sat, 26 Apr 2014 12:21:29 +0200

grouping-protein (0.1.1-5) wheezy; urgency=low

  * progress message during grouping

 -- langella <Olivier.Langella@moulon.inra.fr>  Sat, 26 Apr 2014 07:53:37 +0200

grouping-protein (0.1.1-4) wheezy; urgency=low

  * error onPsm fixed reading xtandem result files

 -- langella <Olivier.Langella@moulon.inra.fr>  Wed, 16 Apr 2014 16:30:16 +0200

grouping-protein (0.1.1-3) wheezy; urgency=low

  * adding dependency to denovopipeline-ng

 -- langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Apr 2014 16:19:13 +0200

grouping-protein (0.1.1-2) wheezy; urgency=low

  * modifying debian files

 -- langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Apr 2014 15:32:48 +0200

grouping-protein (0.1.1-1.1) wheezy; urgency=low

  * Non-maintainer upload.
  * fasta protein grouper added to package

 -- langella <Olivier.Langella@moulon.inra.fr>  Mon, 14 Apr 2014 15:21:20 +0200

grouping-protein (0.1.1-1) wheezy; urgency=low

  * minor typo fixed
  * same version number in every script

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 16 Sep 2013 09:20:51 +0200

grouping-protein (0.1.0-1) wheezy; urgency=low

  * package for Debian Wheezy

 --  Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 13 Sep 2013 09:20:51 +0200

=== groupingprotein-0.3.2/debian/control ===
Source: grouping-protein
Section: science
Priority: optional
Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
Homepage: http://pappso.inra.fr/bioinfo/gp/
DM-Upload-Allowed: yes
Uploaders: Olivier Langella <Olivier.Langella@moulon.inra.fr>
Standards-Version: 1.0
Build-Depends: debhelper (>= 7), dh-python, python, cmake (>= 2.6), libqt4-dev (>= 4.6.3)
Build-Conflicts: qt3-dev-tools



Package: grouping-protein
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, libqtcore4 (>= 4.6.3), denovopipeline-ng
Description: Proteomics grouping algorithm
 Grouping-protein implements a fast algorithm that can filter thousands of peptides

=== groupingprotein-0.3.2/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QTVERSION=4.6.3
export DESTDIR=$(CURDIR)/debian/tmp



configure: configure-stamp
configure-stamp:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release .
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/abiftake.sgml > abiftake.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp CMakeCache.txt

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/grouping-protein.
	$(MAKE) DESTDIR=$(DESTDIR) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_installdebconf
	dh_installlogrotate
	dh_installemacsen
	dh_installpam
	dh_installmime
	dh_python2
	dh_installinit
	dh_installcron
	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
